<template>
  <div class="eContainer">
      <c-bus-button :$pntvm="this"></c-bus-button>
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="200px" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
        
            <!--PD000006 -->
           <el-tab-pane label="Cancellation" name="canp">
                <m-canp :model="model" :codes="codes"/>
           </el-tab-pane>
 
            <!--PD000007 -->
           <el-tab-pane label="Settlement" name="setpan">
                <m-secpan :model="model" :codes="codes"/>
           </el-tab-pane>
 
            <!--PD000529 -->
           <el-tab-pane label="Message" name="docpan">
                <m-docpan :model="model" :codes="codes"/>
           </el-tab-pane>
 
            <!--PD000027 -->
           <el-tab-pane label="Liability" name="engp">
                <m-engp :model="model" :codes="codes"/>
           </el-tab-pane>
 
            <!--PD000001 -->
           <el-tab-pane label="Booking" name="glepan">
                <m-glepan :model="model" :codes="codes"/>
           </el-tab-pane>
 
            <!--PD000000 -->
           <el-tab-pane label="Completion" name="coninfp">
                <m-coninfp :model="model" :codes="codes"/>
           </el-tab-pane>
       </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Utils from "~/utils/index";
import Cctdcr from "~/model/Cctdcr"
import CommonProcess from "~/mixin/CommonProcess"
import Check from "~/model/Cctdcr/Check"
import Default from "~/model/Cctdcr/Default"
import Pattern from "~/model/Cctdcr/Pattern"
import Canp from "./Canp"

import Glepan from "~/views/Public/Glepan";
import Setpan from "~/views/Public/Setpan";
import Docpan from "~/views/Public/Docpan";
import Engp from "~/views/Public/Engp"
import Coninfp from "~/views/Public/Coninfp"


export default {
    components:{
        "m-canp" : Canp,
        "m-secpan" : Setpan,
        "m-docpan" : Docpan,
        "m-engp" : Engp,
        "m-glepan" : Glepan,
        "m-coninfp" : Coninfp,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "canp",
            trnName: "cctdcr",
            model: new Cctdcr().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes: {...CodeTable
            },
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
        console.log("进入cctdcr交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           //TODO 处理数据逻辑
            Utils.copyValueFromVO(this.model, rtnmsg.data);
            this.updateModel(rtnmsg.data);
            if (this.isInDisplay) {
                this.restoreDisplay();
            }
        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
